package sns_oauth_profile.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import org.robotservices.schemas.v02.common_profile.RoboHeader;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
	"roboHeader",
    "application_id",
    "client_id",
    "client_secret",
    "access_token",
    "token_type",
    "expires_in",
    "refresh_token",
})
@XmlRootElement(name = "snsoauth_profile",namespace="http://www.robotservices.org/schemas/Sns_oauth_profile_set_twitter_oauth_info_profile")
public class SnsOauth_profile_set_googleplus_oauth_info_profile {

	    @XmlElement(name="robo_header", namespace = "http://www.robotservices.org/schemas/V02/Common_profile", required = true)
	    protected RoboHeader roboHeader;

	    public RoboHeader getRoboHeader() {
	        return roboHeader;
	    }
	    public void setRoboHeader(RoboHeader value) {
	        this.roboHeader = value;
	    }

	    @XmlElement(name="application_id")
	    private String application_id;

	    @XmlElement(name="client_id")
	    private String client_id;

	    @XmlElement(name="client_secret")
	    private String client_secret;

	    @XmlElement(name="access_token")
	    private String access_token;

	    @XmlElement(name="token_type")
	    private String token_type;

	    @XmlElement(name="expires_in")
	    private String expires_in;

	    @XmlElement(name="refresh_token")
	    private String refresh_token;

		public String getApplication_id() {
			return application_id;
		}
		public void setApplication_id(String application_id) {
			this.application_id = application_id;
		}
		public String getClient_id() {
			return client_id;
		}
		public void setClient_id(String client_id) {
			this.client_id = client_id;
		}
		public String getClient_secret() {
			return client_secret;
		}
		public void setClient_secret(String client_secret) {
			this.client_secret = client_secret;
		}
		public String getAccess_token() {
			return access_token;
		}
		public void setAccess_token(String access_token) {
			this.access_token = access_token;
		}
		public String getToken_type() {
			return token_type;
		}
		public void setToken_type(String token_type) {
			this.token_type = token_type;
		}
		public String getExpires_in() {
			return expires_in;
		}
		public void setExpires_in(String expires_in) {
			this.expires_in = expires_in;
		}
		public String getRefresh_token() {
			return refresh_token;
		}
		public void setRefresh_token(String refresh_token) {
			this.refresh_token = refresh_token;
		}



}
